---
Fuzzer filename: '/src/oss-fuzz-example/fuzz_complex_parser.c'
All functions:
  Function list name: All functions
  Elements:
    - functionName:    LLVMFuzzerTestOneInput
      functionSourceFile: '/src/oss-fuzz-example/fuzz_complex_parser.c'
      linkageType:     externalLinkage
      functionLinenumber: 22
      functionLinenumberEnd: 30
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - data
        - size
      BBCount:         3
      ICount:          35
      EdgeCount:       3
      CyclomaticComplexity: 2
      functionsReached:
        - parse_complex_format
      functionUses:    0
      BranchProfiles:  []
      Callsites:
        - Src:             'fuzz_complex_parser.c:27,3'
          Dst:             parse_complex_format
    - functionName:    parse_complex_format_second
      functionSourceFile: '/src/oss-fuzz-example/char_lib.c'
      linkageType:     InternalLinkage
      functionLinenumber: 117
      functionLinenumberEnd: 157
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - input
      BBCount:         32
      ICount:          187
      EdgeCount:       43
      CyclomaticComplexity: 13
      functionsReached:
        - read_key_figures
        - strlen
      functionUses:    0
      BranchProfiles:
        - Branch String:   'char_lib.c:119,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:120,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:123,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:123,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:124,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:126,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:126,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:127,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:129,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:129,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:130,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:132,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:132,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:133,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:136,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:137,5'
          Branch Sides:
            - BranchSide:      'char_lib.c:138,13'
              BranchSideFuncs:
                - read_key_figures
            - BranchSide:      'char_lib.c:143,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:138,13'
          Branch Sides:
            - BranchSide:      'char_lib.c:139,17'
              BranchSideFuncs:
                - read_key_figures
            - BranchSide:      'char_lib.c:141,5'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:143,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:144,33'
              BranchSideFuncs:
                - read_key_figures
            - BranchSide:      'char_lib.c:147,13'
              BranchSideFuncs: []
        - Branch String:   'char_lib.c:151,43'
          Branch Sides:
            - BranchSide:      'char_lib.c:151,46'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:154,9'
              BranchSideFuncs: []
        - Branch String:   'char_lib.c:151,17'
          Branch Sides:
            - BranchSide:      'char_lib.c:152,17'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:154,9'
              BranchSideFuncs: []
      Callsites:
        - Src:             'char_lib.c:118,21'
          Dst:             strlen
        - Src:             'char_lib.c:144,16'
          Dst:             read_key_figures
    - functionName:    strlen
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      size_t
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    3
      BranchProfiles:  []
      Callsites:       []
    - functionName:    read_key_figures
      functionSourceFile: '/src/oss-fuzz-example/char_lib.c'
      linkageType:     InternalLinkage
      functionLinenumber: 65
      functionLinenumberEnd: 73
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - size_t
      constantsTouched: []
      argNames:
        - input
        - half_length
      BBCount:         6
      ICount:          41
      EdgeCount:       7
      CyclomaticComplexity: 3
      functionsReached:
        - get_the_right_character
      functionUses:    2
      BranchProfiles:
        - Branch String:   'char_lib.c:66,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:67,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:71,20'
              BranchSideFuncs:
                - get_the_right_character
      Callsites:
        - Src:             'char_lib.c:72,12'
          Dst:             get_the_right_character
    - functionName:    get_the_right_character
      functionSourceFile: '/src/oss-fuzz-example/char_lib.c'
      linkageType:     InternalLinkage
      functionLinenumber: 52
      functionLinenumberEnd: 63
      functionDepth:   0
      returnType:      int
      argCount:        2
      argTypes:
        - 'N/A'
        - int
      constantsTouched: []
      argNames:
        - input
        - idx
      BBCount:         8
      ICount:          52
      EdgeCount:       10
      CyclomaticComplexity: 4
      functionsReached:
        - strlen
      functionUses:    1
      BranchProfiles:
        - Branch String:   'char_lib.c:54,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:55,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:58,14'
              BranchSideFuncs: []
        - Branch String:   'char_lib.c:59,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:60,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:62,5'
              BranchSideFuncs: []
      Callsites:
        - Src:             'char_lib.c:54,9'
          Dst:             strlen
    - functionName:    parse_complex_format
      functionSourceFile: '/src/oss-fuzz-example/char_lib.c'
      linkageType:     InternalLinkage
      functionLinenumber: 75
      functionLinenumberEnd: 115
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - input
      BBCount:         32
      ICount:          184
      EdgeCount:       43
      CyclomaticComplexity: 13
      functionsReached:
        - read_key_figures
        - strlen
      functionUses:    1
      BranchProfiles:
        - Branch String:   'char_lib.c:77,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:78,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:81,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:81,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:82,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:84,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:84,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:85,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:87,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:87,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:88,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:90,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:90,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:91,9'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:94,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:95,5'
          Branch Sides:
            - BranchSide:      'char_lib.c:96,13'
              BranchSideFuncs:
                - read_key_figures
            - BranchSide:      'char_lib.c:101,9'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:96,13'
          Branch Sides:
            - BranchSide:      'char_lib.c:97,17'
              BranchSideFuncs:
                - read_key_figures
            - BranchSide:      'char_lib.c:99,5'
              BranchSideFuncs:
                - read_key_figures
        - Branch String:   'char_lib.c:101,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:102,33'
              BranchSideFuncs:
                - read_key_figures
            - BranchSide:      'char_lib.c:105,13'
              BranchSideFuncs: []
        - Branch String:   'char_lib.c:109,43'
          Branch Sides:
            - BranchSide:      'char_lib.c:109,46'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:112,9'
              BranchSideFuncs: []
        - Branch String:   'char_lib.c:109,17'
          Branch Sides:
            - BranchSide:      'char_lib.c:110,17'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:112,9'
              BranchSideFuncs: []
      Callsites:
        - Src:             'char_lib.c:76,21'
          Dst:             strlen
        - Src:             'char_lib.c:102,16'
          Dst:             read_key_figures
    - functionName:    count_lowercase_letters
      functionSourceFile: '/src/oss-fuzz-example/char_lib.c'
      linkageType:     InternalLinkage
      functionLinenumber: 21
      functionLinenumberEnd: 50
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - input
      BBCount:         25
      ICount:          127
      EdgeCount:       32
      CyclomaticComplexity: 9
      functionsReached:
        - printf
      functionUses:    0
      BranchProfiles:
        - Branch String:   'char_lib.c:26,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:27,7'
              BranchSideFuncs:
                - printf
                - printf
            - BranchSide:      'char_lib.c:29,11'
              BranchSideFuncs:
                - printf
                - printf
        - Branch String:   'char_lib.c:32,7'
          Branch Sides:
            - BranchSide:      'char_lib.c:33,5'
              BranchSideFuncs: []
            - BranchSide:      'char_lib.c:36,12'
              BranchSideFuncs:
                - printf
                - printf
        - Branch String:   'char_lib.c:36,3'
          Branch Sides:
            - BranchSide:      'char_lib.c:37,9'
              BranchSideFuncs:
                - printf
                - printf
            - BranchSide:      'char_lib.c:42,7'
              BranchSideFuncs:
                - printf
                - printf
        - Branch String:   'char_lib.c:37,26'
          Branch Sides:
            - BranchSide:      'char_lib.c:37,29'
              BranchSideFuncs:
                - printf
                - printf
            - BranchSide:      'char_lib.c:40,3'
              BranchSideFuncs:
                - printf
                - printf
        - Branch String:   'char_lib.c:37,9'
          Branch Sides:
            - BranchSide:      'char_lib.c:38,24'
              BranchSideFuncs:
                - printf
                - printf
            - BranchSide:      'char_lib.c:40,3'
              BranchSideFuncs:
                - printf
                - printf
        - Branch String:   'char_lib.c:42,7'
          Branch Sides:
            - BranchSide:      'char_lib.c:43,5'
              BranchSideFuncs:
                - printf
                - printf
            - BranchSide:      'char_lib.c:45,7'
              BranchSideFuncs:
                - printf
        - Branch String:   'char_lib.c:45,7'
          Branch Sides:
            - BranchSide:      'char_lib.c:46,5'
              BranchSideFuncs:
                - printf
            - BranchSide:      'char_lib.c:49,10'
              BranchSideFuncs: []
      Callsites:
        - Src:             'char_lib.c:43,5'
          Dst:             printf
        - Src:             'char_lib.c:46,5'
          Dst:             printf
    - functionName:    printf
      functionSourceFile: ''
      linkageType:     externalLinkage
      functionLinenumber: -1
      functionLinenumberEnd: 0
      functionDepth:   0
      returnType:      int
      argCount:        1
      argTypes:
        - 'N/A'
      constantsTouched: []
      argNames:
        - ''
      BBCount:         0
      ICount:          0
      EdgeCount:       0
      CyclomaticComplexity: 2
      functionsReached: []
      functionUses:    2
      BranchProfiles:  []
      Callsites:       []
...
